ChangeSet 1.879.84.4, 2003/01/15 13:22:21-08:00, david-b@pacbell.net

[PATCH] maintain hcd_dev queue in FIFO order

Current uses of the urb_list have all been to make
sure we have some list of pending urbs, so we can
clean them all up after HCs die, and avoid trying
to unlink something that's not actually linked.
So order hasn't mattered.

This makes the order be FIFO, which is more useful
for other purposes.  Like being the HCD's internal
schedule, or dumping for debug.


diff -Nru a/drivers/usb/core/hcd.c b/drivers/usb/core/hcd.c
--- a/drivers/usb/core/hcd.c	Wed Jan 15 14:58:57 2003
+++ b/drivers/usb/core/hcd.c	Wed Jan 15 14:58:57 2003
@@ -1001,7 +1001,7 @@
 	spin_lock_irqsave (&hcd_data_lock, flags);
 	if (HCD_IS_RUNNING (hcd->state) && hcd->state != USB_STATE_QUIESCING) {
 		usb_get_dev (urb->dev);
-		list_add (&urb->urb_list, &dev->urb_list);
+		list_add_tail (&urb->urb_list, &dev->urb_list);
 		status = 0;
 	} else {
 		INIT_LIST_HEAD (&urb->urb_list);
